/*
 * Class TYPE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2188 [] = {0xFF01,1551,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2188 [] = {0xFF01,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2188 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2188 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2188 [] = {0xFF01,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2188 [] = {0xFF01,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2188 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2188 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2188 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2188 [] = {2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2188 [] = {0xFF01,2187,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2188 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2188 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2188 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2188 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2188 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2188 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2188 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2188 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2188 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2188 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2188 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2188[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2188), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2188), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20624, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2188), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2188), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2188), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2188), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2188), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2188), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2188), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2188), 20632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2188), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2188), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2188), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2188), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20625, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2188), 20616, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2188), 20617, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20621, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20623, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2188), 20627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2188), 20628, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2188), 20629, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2188), 20630, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2188), 20631, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2188), 20634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20636, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2188), 20637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2188), 20638, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2188), 20639, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2188), 20640, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 20641, 0},
	{EIF_GENERIC(egt_26_2188), 20642, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2188), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2188), 20633, 0xFFFFFFFF},
};
void Init2188(void)
{
	IDSC(desc_2188, 0, 2187);
	IDSC(desc_2188 + 1, 1, 2187);
	IDSC(desc_2188 + 32, 700, 2187);
	IDSC(desc_2188 + 34, 1459, 2187);
	IDSC(desc_2188 + 38, 11, 2187);
	IDSC(desc_2188 + 60, 224, 2187);
}


#ifdef __cplusplus
}
#endif
